<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getGeneralActionNames](./bitburner.bladeburner.getgeneralactionnames.md)

## Bladeburner.getGeneralActionNames() method

List all general actions.

**Signature:**

```typescript
getGeneralActionNames(): BladeburnerGeneralActionName[];
```
**Returns:**

[BladeburnerGeneralActionName](./bitburner.bladeburnergeneralactionname.md)<!-- -->\[\]

Array of strings containing the names of all general Bladeburner actions.

## Remarks

RAM cost: 0 GB

Returns an array of strings containing the names of all general Bladeburner actions.

